Delete a user account.
curl --request DELETE \
--url https://console.gmicloud.ai/api/v1/users/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "userId",
"expression": "uuid",
"originalValue": "userId",
"reason": "Should be a valid UUID."
}
]
}{
"group": "organization",
"code": 6,
"message": "Organization owner cannot be deleted."
}{
"group": "organization",
"code": 1200,
"message": "Get organization grouping policy encountered error.",
"traces": [
"DB error occurred."
]
}users
Delete a user account.
Delete a user account.
- A user can delete their own account.
- An organization owner cannot be deleted.
- An organization owner can delete any user within the same organization.
DELETE
/
users
/
{userId}
Delete a user account.
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The user's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Response
Successfully deleted the user.
⌘I